Clear Filters
Clear Filters

Pixhawk 6C support (PX4 fmu-v6c)

13 views (last 30 days)
I have been trying to make Pixhawk 6C work with any recent release of MATLAB (2022a-2023a pre-release), but no luck so far. I understand MATLAB only supports PX4 up to 1.12.3, but pixhawk 6C support was only added to PX4 in 1.13.1 release. I have access to Pixhawk 4 board as well, so I can use it for testing purposes. So I have the following questions:
  1. Is there any way to compile a more recent version of the firmware and make it compatible with Simulink? (1.13.2 preferably)
  2. I understand I need to write my own CMake files for the Matlab compiler, but no luck so far. What do I need to pay attention to when trying to write my own CMake? So far I tried to compile 1.13.2 for both Pixhawk 4 and 6C and nothing worked. For Pixhawk 4 I just used the exact same CMake from 1.10.2 version of PX4.
Also, I am aware of the previous posts, but I did not find them sufficient:
https://www.mathworks.com/matlabcentral/answers/1809440-pixhawk-6x-5x-6c-support-by-simulink

Accepted Answer

Ankur Bose
Ankur Bose on 27 Jan 2023
We have verified and tested the features in R2022b with firmware version v1.12.3. Firmware version 1.13 is not officially supported and using 1.13 with R2022b will result in non-trivial difficult to solve errors.
Your second query is not clear.
"I understand I need to write my own CMake files for the Matlab compiler". Why are you trying to write your own CMake? How are using MATLAB compiler? What errors are you facing?
  5 Comments
Ankur Bose
Ankur Bose on 10 Feb 2023
We are working on priority to add PX4 1.13 support in MATLAB. Regarding the roadmap, all I can comment now is that it will be available in a future MATLAB releases

Sign in to comment.

More Answers (0)

Products


Release

R2022a

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!